package com.ejweb.modules.front.upload.bean;

import com.alibaba.fastjson.annotation.JSONField;
import com.ejweb.core.base.BaseBean;

import java.util.List;

/**
 * 接口请求Content实体
 * @team IT Team
 * @author  renmb
 * @version 1.0
 * @time 2016-03-22
 *
 */
public class UploadBean extends BaseBean {

//    @NotEmpty(message="module字段不能为NULL")
    private String module;
    private String contentType="png";// 文件类型，即文件的后缀名称，如png,mp3登录
    
    private String sessionId;
    private String clientip;
    private String url;
    private String orientataion;
    @JSONField(deserialize=false)
    private int size;// 成功处理的文件格式
    
    List<UploadFileBean> files;
    
    public String getUrl() {
        return url;
    }
    public void setUrl(String url) {
        this.url = url;
    }
    public int getSize() {
        return size;
    }
    public void setSize(int size) {
        this.size = size;
    }
    public String getSessionId() {
        return sessionId;
    }
    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }
    public String getModule() {
        return module;
    }
    public void setModule(String module) {
        this.module = module;
    }
    public List<UploadFileBean> getFiles() {
        return files;
    }
    public void setFiles(List<UploadFileBean> files) {
        this.files = files;
    }
    public String getClientip() {
        return clientip;
    }
    public void setClientip(String clientip) {
        this.clientip = clientip;
    }
    public String getContentType() {
        return contentType;
    }
    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public String getOrientataion() {
        return orientataion;
    }

    public void setOrientataion(String orientataion) {
        this.orientataion = orientataion;
    }
}
